package com.muyu.data.remote;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.req.SysCarReq;
import com.muyu.domain.resp.SysCarVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = "cloud-car")
public interface RemoteCarService {


    @PostMapping("/car/selectSysCarVoList")
    public Result<List<SysCarVo>> selectSysCarVoList(
            @RequestBody SysCarReq sysCarReq);




}
