package com.muyu.fence.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.fence.domain.database.ElectronicFence;
import com.muyu.fence.domain.database.ElectronicFenceGroup;
import com.muyu.fence.domain.req.ElectronicFenceGroupAddReq;
import com.muyu.fence.domain.req.ElectronicFenceGroupListReq;
import com.muyu.fence.domain.resp.ElectronicFenceGroupResp;

import java.util.List;

/**
 * @Author：yuping
 * @Package：com.muyu.fence.service
 * @Project：cloud-server
 * @name：FenceGroupController
 * @Date：2024/9/18 15:16
 */

public interface ElectronicFenceGroupService extends IService<ElectronicFenceGroup> {


    List<ElectronicFenceGroup> selectGroupList(ElectronicFenceGroupListReq req);


    ElectronicFenceGroupResp findGroupByid(Long id);
}
