package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * mqtt配置类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MqttProperties {
    /**
     * 节点
     */
    private String broker;

    /**
     * 主题
     */
    private String topic;
    /**
     * 用户名
     */
    private String userName;

    /**
     * 密码
     */
    private String password;

    /**
     * 节点ID
     */
    private String clientId;
    /**
     * 上报级别
     */
    private int qos=0;

}
