package com.muyu.enterprise.controller.form;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author YuPing
 * @Description 新增企业信息表单
 * @Version 1.0
 * @Data 2024-09-26 21:16:06
 */
@Data
public class InsertEnterprise {

    @NotBlank(message = "enterprise企业名称不能为空")
    private String enterpriseName;

    @NotNull(message = "enterpriseCarCount企业车辆数量不能为空")
    private Integer enterpriseCarCount;

    @NotNull(message = "enterpriseFenceCount企业围栏组不能为空")
    private Integer enterpriseFenceCount;
}
