package com.muyu.data.remote;

import com.muyu.common.core.domain.Result;
import com.muyu.fence.domain.req.ElectronicFenceGroupListReq;
import com.muyu.fence.domain.resp.GroupFenceListresp;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = "cloud-fence")
public interface RemoteFenceService {

    @PostMapping("/fence/selectGroupList")
    public Result<List<GroupFenceListresp>> selectGroupList(
            @RequestBody ElectronicFenceGroupListReq req);



}
