package com.muyu.breakdown.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.breakdown.domain.SysCarFaultLog;
import com.muyu.breakdown.domain.SysCarFaultMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 1.8
 * @Author: YZL
 * @Created: 2024/9/22 21:06
 */
@Mapper
public interface SysCarFaultLogMapper extends BaseMapper<SysCarFaultLog> {


    @Select("select * from sys_car_fault_log where is_read=1")
    List<SysCarFaultLog> listIsReadAlready();
    @Select("select * from sys_car_fault_log where is_read=2")
    List<SysCarFaultLog>listISReadNotYet();
}
