package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "sys_car",autoResultMap = true)
public class SysCar extends BaseEntity {
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    private String carVin;
    private Long carTypeId;
    private String state;
    private String carMotorManufacturer;
    private String carMotorModel;
    private String carBatteryManufacturer;
    private String carBatteryModel;
    private Long strategyId;
    private Long groupId;

}
