package com.muyu.fence.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.fence.domain.database.FenceGroupMid;
import com.muyu.fence.domain.req.ElectronicFenceGroupUpdReq;
import com.muyu.fence.domain.resp.ElectronicFenceResp;

import java.util.List;

/**
 * @Author：yuping
 * @Package：com.muyu.fence.service
 * @Project：cloud-server
 * @name：FenceGroupMidService
 * @Date：2024/9/20 11:33
 */
public interface FenceGroupMidService extends IService<FenceGroupMid> {


    void addGroupAndFenceMid(Long id, List<ElectronicFenceResp> electronicFenceRespList);

    List<FenceGroupMid> selectFenceGroupMidListById(Long id);


    void deliteMid(Long id);
}
