package com.muyu.domain;

import com.muyu.domain.model.PositionModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.concurrent.LinkedBlockingQueue;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class VehicleInstance {
    /**
     * 路线轨迹编码
     */
    private String positionCode;

    /**
     * 路径队列
     */
    private LinkedBlockingQueue<PositionModel> positionQueue=new LinkedBlockingQueue<>();


}
